import { jsx as _jsx } from "react/jsx-runtime";
/**
 * @vitest-environment jsdom
 */
import { render } from '@testing-library/react';
import { describe, expect, test } from 'vitest';
import { CanUseRemotionHooksProvider } from '../CanUseRemotionHooks.js';
import { Freeze } from '../freeze.js';
import { Sequence } from '../Sequence.js';
import { TimelineContext } from '../timeline-position-state.js';
import { useVideoConfig } from '../use-video-config.js';
import { WrapSequenceContext } from './wrap-sequence-context.js';
const Inner = () => {
    const config = useVideoConfig();
    return _jsx("div", { children: config.durationInFrames });
};
const context = {
    audioAndVideoTags: { current: [] },
    frame: {
        'my-comp': 100000,
    },
    imperativePlaying: {
        current: false,
    },
    playbackRate: 0,
    playing: false,
    rootId: 'hither',
    setPlaybackRate: () => undefined,
};
describe('Composition-validation render should NOT throw with valid props', () => {
    test('It should allow undefined as children', () => {
        const { queryByText } = render(_jsx(CanUseRemotionHooksProvider, { children: _jsx(WrapSequenceContext, { children: _jsx(TimelineContext.Provider, { value: context, children: _jsx(Freeze, { frame: 10000, children: _jsx(Sequence, { durationInFrames: 2424, from: 9265, children: _jsx(Inner, {}) }) }) }) }) }));
        expect(queryByText(/^2424$/)).not.toBe(null);
    });
});
