"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useTrackSourceChange = void 0;
const react_1 = require("react");
const useTrackSourceChange = (src) => {
    const lastChange = (0, react_1.useRef)(null);
    const currentSrc = (0, react_1.useRef)(null);
    (0, react_1.useEffect)(() => {
        if (currentSrc.current === null) {
            currentSrc.current = src;
            return;
        }
        if (currentSrc.current !== src) {
            currentSrc.current = src;
            lastChange.current = Date.now();
        }
    }, [src]);
    return lastChange;
};
exports.useTrackSourceChange = useTrackSourceChange;
